Bug 13823 - Unneeded output of %pre scriplet
: Unneeded output of %pre scriplet
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgphoto2)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-28 20:36 by
Modified: 2009-05-10 09:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-28 20:36:03
Во время dist-upgrade

695: libgnokii              
#################################################################################
[ 78%]
groupadd: group camera exists
696: libgphoto2             
#################################################################################
[ 78%]


% rpm -q --scripts libgphoto2
preinstall scriptlet (through /bin/sh):
# create group
/usr/sbin/groupadd -r camera || :

Неплохо бы перенаправить вывод в /dev/null, т.е.
/usr/sbin/groupadd -r camera >/dev/null 2>&1 ||:

или делать проверку на существование группы.
------- Comment #1 From 2008-03-13 07:49:08 -------
fixed